// Copyright (C) 2002 Hewlett-Packard Company
// All rights reserved.
//
/* PORTCHECK OFF */
/****************************************************************************
 $Header: /cvsroot/mapisp/src/OMName/omnerr.h,v 1.1.1.1 2002-11-21 17:55:32 gren Exp $
 Error definitions
 ****************************************************************************/

/****************************************************************************
 Error codes
 ****************************************************************************/
#define omcnSUCCESS							0
#define omcnERR_SUCCESS						omcnSUCCESS

#define omcnERR_BUFFER_TOO_SMALL			1
#define omcnERR_INVALID_FMT					2
#define omcnERR_BAD_PARAMETER				3
#define omcnERR_NO_DEFAULT_FMT				4
#define omcnERR_TOKEN_NAME_TOO_LONG			5
#define omcnERR_TOO_MANY_USER_ATTRS			6
#define omcnERR_INVALID_TOKEN				7
#define omcnERR_TOO_MANY_TOKENS				8
#define omcnERR_NOT_PARSED					9
#define omcnERR_BAD_MULTI_TOKEN				10
#define omcnERR_UNKNOWN_ERROR				11
#define omcnERR_ATTR_NOT_VALID				12
#define omcnERR_ATTR_TOO_LONG				13
#define omcnERR_ATTR_NOT_PSTRING			14
#define omcnERR_ATTR_NOT_NSTRING			15
#define omcnERR_UNKNOWN_ATTR_TYPE			16
#define omcnERR_NAME_TOO_LONG				17
#define omcnERR_INVALID_NAME				18
#define omcnERR_ILLEGAL_NAME				19
#define omcnERR_BAD_DATA					20
#define omcnERR_NO_MORE_ALTS				21
#define omcnERR_ATTR_NOT_COUNTRY			22
#define omcnERR_TOO_MANY_ORGUNITS			23
#define omcnERR_UNKNOWN_TAG_NAME			24
#define omcnERR_ATTR_ALREADY_DEFINED		25
#define omcnERR_TOO_MANY_DDAS				26
#define omcnERR_INVALID_X400				27
#define omcnERR_INVALID_EFA					28
#define omcnERR_ATTR_UNDEFINED				29

/*
 * omcnERR_ATTR_NOT_TERMINAL_TYPE added by Ian Wilkinson - 8 September, 1995.
 * Its associated error text, omcnSTR_ERR_+omcnERR_ATTR_NOT_TERMINAL_TYPE,
 * appears in the local.rc.
 */
#define omcnERR_ATTR_NOT_TERMINAL_TYPE      30


#define omcnERR_MAX_ERROR_CODE				99
